%%
%% This is file `idcc.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% dccpaper.dtx  (with options: `idcc')
%% ----------------------------------------------------------------
%% The dccpaper bundle: Classes for submissions to IJDC and IDCC
%% Author:  Alex Ball
%% E-mail:  a.ball@ukoln.ac.uk
%% License: Released under the LaTeX Project Public License v1.3c or later
%% See:     http://www.latex-project.org/lppl.txt
%% ----------------------------------------------------------------
%% 
\def\Version{2014/03/06 v1.1}
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{idcc}
    [\Version\space Class for submissions to the International Digital Curation Conference.]
\def\dccp@publ@long{International Digital Curation Conference}
\def\dccp@publ@short{IDCC}
\def\dccp@publ@msg{The \dccp@publ@long\ takes place on [TBC] in [TBC]. URL:
\url{http://www.dcc.ac.uk/events/international-digital-curation-conference-idcc}}
\def\dccp@subject{\dccp@publ@long}

\def\dccp@type{Practice Paper}
\DeclareOption{research}{\def\dccp@type{Research Paper}}
\DeclareOption{poster}{\def\dccp@type{Poster}}
\DeclareOption{demo}{\def\dccp@type{Demonstration}}
\DeclareOption{workshop}{\def\dccp@type{Workshop}}
\DeclareOption{practice}{\def\dccp@type{Practice Paper}}
\DeclareOption{15}{%
  \def\dccp@publ@short{IDCC15}
  \def\dccp@publ@msg{The 10th \dccp@publ@long\ takes place on [TBC] in [TBC].
  URL: \url{http://www.dcc.ac.uk/events/idcc15/}}
  \def\dccp@subject{10th \dccp@publ@long, 2015}
}
\ProcessOptions\relax

\input{dccpaper-base}
%% 
%% Copyright (C) 2014 Digital Curation Centre, University of Edinburgh
%% <info@dcc.ac.uk>
%% 
%% The text files contained in this work may be distributed and/or modified under
%% the conditions of the LaTeX Project Public License (LPPL), either version 1.3c
%% of this license or (at your option) any later version. The latest version of
%% this license is in the file:
%% 
%% http://www.latex-project.org/lppl.txt
%% 
%% The image files dccpaper-by.eps and dccpaper-by.pdf derive from the file by.eps,
%% available from the following URL:
%% http://mirrors.creativecommons.org/presskit/buttons/88x31/eps/by.eps
%% 
%% The images remain a trademark of Creative Commons and are subject to the
%% Creative Commons trademark policy:
%% http://creativecommons.org/policies
%% 
%% This work is "maintained" (as per LPPL maintenance status) by Alex Ball.
%% 
%% This work consists of the aforementioned image files, the file dccpaper.dtx and
%% a Makefile.
%% 
%% Running `make' generates the derived files
%% 
%% * README
%% * dccpaper.pdf
%% * ijdc-v9.cls
%% * idcc.cls
%% * dccpaper-base.tex
%% * dccpaper-apacite.bib
%% * dccpaper-biblatex.bib
%% 
%% Running `make inst' installs the files in the user's TeX tree.
%% 
%% Running `make install' installs the files in the local TeX tree.
%% 
%%
%% End of file `idcc.cls'.
