%%
%% This is file `ijdc-v9.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% dccpaper.dtx  (with options: `ijdc9')
%% ----------------------------------------------------------------
%% The dccpaper bundle: Classes for submissions to IJDC and IDCC
%% Author:  Alex Ball
%% E-mail:  a.ball@ukoln.ac.uk
%% License: Released under the LaTeX Project Public License v1.3c or later
%% See:     http://www.latex-project.org/lppl.txt
%% ----------------------------------------------------------------
%% 
\def\Version{2014/03/06 v1.1}
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{ijdc-v9}
    [\Version\space Class for submissions to the International Journal of Digital Curation, volume 9 onwards.]
\def\dccp@type{General Article}
\def\dccp@editorial{Editorial}
\DeclareOption{editorial}{\let\dccp@type=\dccp@editorial%
  \AtBeginDocument{% Editorials use Roman numerals for page numbers
    \pagenumbering{roman}%
    \renewcommand{\thelastpage}{\@roman\c@lastpage}%
  }%
}
\DeclareOption{paper}{\def\dccp@type{Peer-Reviewed Paper}}
\DeclareOption{article}{\def\dccp@type{General Article}}
\ProcessOptions\relax

\def\dccp@publ@long{International Journal of Digital Curation}
\def\dccp@publ@short{IJDC}
\def\dccp@publ@msg{The \emph{\dccp@publ@long} is an international journal
committed to scholarly excellence and dedicated to the advancement of digital
curation across a wide range of sectors. The \dccp@publ@short\ is published by
the University of Edinburgh on behalf of the Digital Curation Centre. ISSN:
1746-8256. URL: \url{http://www.ijdc.net/}}
\def\dccp@titlefoot@bib{%
  \dccp@publ@long\\
  \thedate, Vol.\ \thevolume, Iss.\ \theissue, \thepage--\thelastpage.%
}
\def\dccp@titlefoot@doi{%
  \url{http://dx.doi.org/\thedoi}\\
  DOI: \thedoi
}
\def\dccp@normhead@doi{doi:\thedoi}
\def\dccp@subject{\dccp@publ@long, \thedate, Vol.\ \thevolume, Iss.\ \theissue}

\input{dccpaper-base}
%% 
%% Copyright (C) 2014 Digital Curation Centre, University of Edinburgh
%% <info@dcc.ac.uk>
%% 
%% The text files contained in this work may be distributed and/or modified under
%% the conditions of the LaTeX Project Public License (LPPL), either version 1.3c
%% of this license or (at your option) any later version. The latest version of
%% this license is in the file:
%% 
%% http://www.latex-project.org/lppl.txt
%% 
%% The image files dccpaper-by.eps and dccpaper-by.pdf derive from the file by.eps,
%% available from the following URL:
%% http://mirrors.creativecommons.org/presskit/buttons/88x31/eps/by.eps
%% 
%% The images remain a trademark of Creative Commons and are subject to the
%% Creative Commons trademark policy:
%% http://creativecommons.org/policies
%% 
%% This work is "maintained" (as per LPPL maintenance status) by Alex Ball.
%% 
%% This work consists of the aforementioned image files, the file dccpaper.dtx and
%% a Makefile.
%% 
%% Running `make' generates the derived files
%% 
%% * README
%% * dccpaper.pdf
%% * ijdc-v9.cls
%% * idcc.cls
%% * dccpaper-base.tex
%% * dccpaper-apacite.bib
%% * dccpaper-biblatex.bib
%% 
%% Running `make inst' installs the files in the user's TeX tree.
%% 
%% Running `make install' installs the files in the local TeX tree.
%% 
%%
%% End of file `ijdc-v9.cls'.
